Subject: Re: How to move from /ppc/ to /powerpc/

From: Fredrik Roubert <[email-masked]>
Date: Wed, 13 Sep 2006 15:28:17 +0200

On Tue 12 Sep 17:58 CEST 2006, Kim Phillips wrote:

> The 8349EMDS device tree source is now in linux/arch/powerpc/boot/dts.

Is that the right dts to use for a MPC8349SYS board?

I tried compiling it like this:

$ dtc -f -I dts -O dtb mpc8349emds.dts > devices.dtb
DTC: dts->dtb  on file "mpc8349emds.dts"
Warning: No cpu has "linux,boot-cpu" property
ERROR: Missing /chosen node
Input tree has errors

Is that really correct? Should I invoke dtc in some other way or modify
the dts or use some other dts file?

> Matt's u-boot patches address the issue well for 85xx, they are
> straightforward to adapt to 83xx:
>
> http://sourceforge.net/mailarchive/forum.php?thread_id=15518792&forum_id=12898
>
> they allow you to tftp the dtb into mem, and "bootm ${loadaddr} -
> ${oftaddr}" to start an ARCH=powerpc kernel.

OK, I've adapted and applied those patches now. However, when I try to
boot with the dtd I generated above, then the kernel just hangs. For
now, I assume that is because of errors in the dtd and not in u-boot ...

Cheers // Fredrik Roubert

-- 
Visserij 192  |  +32 473 344527 / +46 708 776974
BE-9000 Gent  |  http://www.df.lth.se/~roubert/